Bug 217747 - fc6 upgrade, /boot written to 'wrong' disk
fc6 upgrade, /boot written to 'wrong' disk
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 13:49 EST by Dave Pawson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 09:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Pawson 2006-11-29 13:49:05 EST
Description of problem: Updated from fc5 to fc6. Boot was on SATA disks.
I'd installed a PATA disk for backup. /boot seems to have been written
to the PATA disk, which is now mapped to both /bk and /root


Version-Release number of selected component (if applicable): FC6


How reproducible:
Bit odd.
New system, two SATA drives. Install FC (I think I started on 2 or 3).
Upgraded a couple of times to 5, no problem.
Added a new disk, IDE connection. To use as backup.
When I upgraded to FC6, the install seems to have done a M$ and
assumed my boot was on the IDE disk!

[root@marge bk]# ls /boot
config-2.6.18-1.2798.fc6  initrd-2.6.18-1.2798.fc6.img 
symvers-2.6.18-1.2798.fc6.gz  System.map-2.6.18-1.2849.fc6
config-2.6.18-1.2849.fc6  initrd-2.6.18-1.2849.fc6.img 
symvers-2.6.18-1.2849.fc6.gz  vmlinuz-2.6.18-1.2798.fc6
grub                      lost+found                   
System.map-2.6.18-1.2798.fc6  vmlinuz-2.6.18-1.2849.fc6
[root@marge bk]# ls /boot
config-2.6.18-1.2798.fc6  initrd-2.6.18-1.2798.fc6.img 
symvers-2.6.18-1.2798.fc6.gz  System.map-2.6.18-1.2849.fc6
config-2.6.18-1.2849.fc6  initrd-2.6.18-1.2849.fc6.img 
symvers-2.6.18-1.2849.fc6.gz  vmlinuz-2.6.18-1.2798.fc6
grub                      lost+found                   
System.map-2.6.18-1.2798.fc6  vmlinuz-2.6.18-1.2849.fc6
[root@marge bk]# ls /bk
config-2.6.18-1.2798.fc6  initrd-2.6.18-1.2798.fc6.img 
symvers-2.6.18-1.2798.fc6.gz  System.map-2.6.18-1.2849.fc6
config-2.6.18-1.2849.fc6  initrd-2.6.18-1.2849.fc6.img 
symvers-2.6.18-1.2849.fc6.gz  vmlinuz-2.6.18-1.2798.fc6
grub                      lost+found                   
System.map-2.6.18-1.2798.fc6  vmlinuz-2.6.18-1.2849.fc6
[root@marge bk]# cat /etc/fstab
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /proc                   proc    defaults        0 0
none                    /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults       0 0
#/dev/hdb   /media/cdrom udf,iso9660 noauto,owner,kudzu,ro 0 0
#dp 1.1.04 src http://linux-ntfs.sourceforge.net/info/ntfs.html#4.9
#/dev/sda1 /mnt/windows ntfs ro,umask=0033,uid=dpawson                  0 0
# old f drive, from http://www.linuxforums.org/tutorials/2/tutorial-45140.html
/dev/sda1               /bk                     ext3    defaults 1 2          
[root@marge bk]# 

As you can see, /root and /bk (my backup partiion) are the same beast.

Steps to Reproduce:
1.
2.
3.
  
Actual results: /boot installed on my IDE disk


Expected results: /boot installed on / partition


Additional info:  How the heck do I get round this please?
Remove the PATA drive and re-install?

TIA, DaveP
Comment 1 Jeremy Katz 2006-12-04 15:44:42 EST
What is the label on the ide disk (e2label /dev/foo)? 
Comment 2 Red Hat Bugzilla 2007-06-11 23:25:18 EDT
requested by Jams Antill
Comment 3 Dave Pawson 2007-06-12 02:49:08 EDT
(In reply to comment #1)
> What is the label on the ide disk (e2label /dev/foo)? 

Disk no longer mounted, unable to check; sorry.

regards DaveP

Note You need to log in before you can comment on or make changes to this bug.